%define module 	File-Type
%define version 0.22
%define release %mkrel 6

Summary:	Perl module to determine file type using magic
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source0:	http://search.cpan.org/CPAN/authors/id/P/PA/PMISON/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel 
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
File::Type is a perl module that can be used to determine file type using
magic.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/File/*
%{_mandir}/*/*




%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.22-6mdv2009.0
+ Revision: 257038
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.22-4mdv2008.1
+ Revision: 166676
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 21 2007 Michael Scherer <misc@mandriva.org> 0.22-4mdv2008.0
+ Revision: 41992
- rebuild


* Thu Oct 06 2005 Michael Scherer <misc@mandriva.org> 0.22-2mdk
- mkrel
- policy compliance

* Tue Oct 05 2004 Michael Scherer <misc@mandrake.org> 0.22-1mdk 
- First Mandrakelinux package

